> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Update General Settings

> Update general settings.



## OpenAPI

````yaml api-reference/openapi.json patch /settings/general
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /settings/general:
    patch:
      tags:
        - settings
      summary: Update general settings.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeneralSettings'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/GeneralSettings'
components:
  schemas:
    GeneralSettings:
      description: General configuration settings.
      type: object
      properties:
        opening_hours:
          description: >
            Array of opening hours in Europe/Berlin. 7 entries for each weekday.
            Starting at monday.

            Each day is an array of periods with start and end time.
          type: array
          minItems: 7
          maxItems: 7
          items:
            type: array
            items:
              type: array
              minItems: 2
              maxItems: 2
              items:
                type: string
            example:
              - - '06:00'
                - '12:00'
              - - '13:00'
                - '20:00'
        force_close:
          description: >
            Set true to ignore evaluating opening hours and always appear
            closed.
          type: boolean
          default: false
        send_welcome_message:
          type: boolean
        welcome_message_open:
          description: Text to send when open.
          type: string
        welcome_message_closed:
          description: Text to send when closed.
          type: string
        custom_tenant_name:
          description: >-
            If set, overrides the name used while creating the tenant. Will be
            displayed for rating.
          type: string
          nullable: true
        custom_notifications_email:
          description: |
            If set, overrides the address used for sending notification emails.
            Default is address used when creating the tenant.
          type: string
          nullable: true
        logo_url:
          description: >
            Link to external logo image. File will be downloaded and field will
            be replaced with internal URL.

            Logo available via internal URL "<client-url>/logo". Set null to
            remove.

            Image must have mime type of jpeg or png. Dimensions must match
            (quadratic) and be at least 1024x1024.

            White background preferred.
          type: string
          nullable: true
        primary_color:
          description: Optional hex color for theme. Will be used for rating.
          type: string
          nullable: true
          example: ff00ff
        send_privacy_message:
          type: boolean
        privacy_link:
          description: >
            Optional link to custom privacy policy. If value is set to null, a 
            default privacy

            page URL will be generated from the tenants info.
          type: string
          nullable: true
        privacy_message:
          description: >-
            Text to send to inform about privacy. Should contain $link$
            placeholder!
          type: string
        notify_on_message:
          description: >
            Send email notification when a new message arrives and is not read
            within given amount of minutes.
          type: boolean
        notify_after_minutes:
          description: Number of minutes before the notification will be sent.
          type: integer
        rating_invite_message:
          description: >-
            Message template used to generate rating invite. Should contain
            $link$ placeholder!
          type: string
        rating_external_link:
          description: Link to Google reviews if user gave 4 or 5 stars.
          type: string
          nullable: true
        mark_external_messages_as_read:
          description: >
            If enabled and the mark read endpoint is called,

            the external service will also be instructed to mark their message
            as read.

            (E.g. for WhatsApp, the customer will get the blue check marks.)
          type: boolean
          default: true
        delete_messages_after_days:
          description: >-
            Number of days after a message will be deleted. The conversation
            must be in done state!
          type: integer
          default: 90
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````